var search_data = {"index":{"searchIndex":["bignum","fixnum","integer","object","rational","%()","*()","**()","**()","**()","+()","-()","/()","<=>()","==()","rational()","abs()","ceil()","coerce()","denominator()","div()","divmod()","floor()","gcd()","gcdlcm()","hash()","inspect()","lcm()","new()","new!()","numerator()","power!()","power!()","quo()","quo()","rdiv()","rdiv()","reduce()","round()","rpower()","rpower()","to_f()","to_i()","to_r()","to_r()","to_s()","truncate()"],"longSearchIndex":["bignum","fixnum","integer","object","rational","rational#%()","rational#*()","bignum#**()","fixnum#**()","rational#**()","rational#+()","rational#-()","rational#/()","rational#<=>()","rational#==()","object#rational()","rational#abs()","rational#ceil()","rational#coerce()","integer#denominator()","rational#div()","rational#divmod()","rational#floor()","integer#gcd()","integer#gcdlcm()","rational#hash()","rational#inspect()","integer#lcm()","rational::new()","rational::new!()","integer#numerator()","bignum#power!()","fixnum#power!()","bignum#quo()","fixnum#quo()","bignum#rdiv()","fixnum#rdiv()","rational::reduce()","rational#round()","bignum#rpower()","fixnum#rpower()","rational#to_f()","rational#to_i()","integer#to_r()","rational#to_r()","rational#to_s()","rational#truncate()"],"info":[["Bignum","","Bignum.html","",""],["Fixnum","","Fixnum.html","",""],["Integer","","Integer.html","",""],["Object","","Object.html","",""],["Rational","","Rational.html","","<p>Rational implements a rational class for numbers.\n<p><em>A rational number is a number that can be expressed</em> …\n"],["%","Rational","Rational.html#method-i-25","(other)","<p>Returns the remainder when this value is divided by <code>other</code>.\n<p>Examples:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">r</span> = <span class=\"ruby-constant\">Rational</span>(<span class=\"ruby-value\">7</span>,<span class=\"ruby-value\">4</span>)    <span class=\"ruby-comment\"># -&gt; Rational(7,4) ...</span>\n</pre>\n"],["*","Rational","Rational.html#method-i-2A","(a)","<p>Returns the product of this value and <code>a</code>.\n<p>Examples:\n\n<pre>r = Rational(3,4)    # -&gt; Rational(3,4)\nr * 2       ...</pre>\n"],["**","Bignum","Bignum.html#method-i-2A-2A","(other)",""],["**","Fixnum","Fixnum.html#method-i-2A-2A","(other)",""],["**","Rational","Rational.html#method-i-2A-2A","(other)","<p>Returns this value raised to the given power.\n<p>Examples:\n\n<pre>r = Rational(3,4)    # -&gt; Rational(3,4)\nr ** 2 ...</pre>\n"],["+","Rational","Rational.html#method-i-2B","(a)","<p>Returns the addition of this value and <code>a</code>.\n<p>Examples:\n\n<pre>r = Rational(3,4)      # -&gt; Rational(3,4)\nr + 1    ...</pre>\n"],["-","Rational","Rational.html#method-i-2D","(a)","<p>Returns the difference of this value and <code>a</code>. subtracted.\n<p>Examples:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">r</span> = <span class=\"ruby-constant\">Rational</span>(<span class=\"ruby-value\">3</span>,<span class=\"ruby-value\">4</span>)    <span class=\"ruby-comment\"># -&gt; Rational(3,4) ...</span>\n</pre>\n"],["/","Rational","Rational.html#method-i-2F","(a)","<p>Returns the quotient of this value and <code>a</code>.\n\n<pre>r = Rational(3,4)    # -&gt; Rational(3,4)\nr / 2               ...</pre>\n"],["<=>","Rational","Rational.html#method-i-3C-3D-3E","(other)","<p>Standard comparison operator.\n"],["==","Rational","Rational.html#method-i-3D-3D","(other)","<p>Returns <code>true</code> iff this value is numerically equal to\n<code>other</code>.\n<p>But beware:\n\n<pre>Rational(1,2) == Rational(4,8)  ...</pre>\n"],["Rational","Object","Object.html#method-i-Rational","(a, b = 1)","<p>Creates a Rational number (i.e. a fraction).  <code>a</code> and\n<code>b</code> should be Integers:\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Rational</span>(<span class=\"ruby-value\">1</span>,<span class=\"ruby-value\">3</span>)           <span class=\"ruby-comment\"># -&gt; ...</span>\n</pre>\n"],["abs","Rational","Rational.html#method-i-abs","()","<p>Returns the absolute value.\n"],["ceil","Rational","Rational.html#method-i-ceil","()",""],["coerce","Rational","Rational.html#method-i-coerce","(other)",""],["denominator","Integer","Integer.html#method-i-denominator","()","<p>In an integer, the denominator is 1.  Therefore, this method returns 1.\n"],["div","Rational","Rational.html#method-i-div","(other)",""],["divmod","Rational","Rational.html#method-i-divmod","(other)","<p>Returns the quotient <em>and</em> remainder.\n<p>Examples:\n\n<pre>r = Rational(7,4)        # -&gt; Rational(7,4)\nr.divmod Rational(1,2) ...</pre>\n"],["floor","Rational","Rational.html#method-i-floor","()","<p>Converts the rational to an Integer.  Not the <em>nearest</em> integer, the\ntruncated integer.  Study the following …\n"],["gcd","Integer","Integer.html#method-i-gcd","(other)","<p>Returns the <em>greatest common denominator</em> of the two numbers\n(<code>self</code> and <code>n</code>).\n<p>Examples:\n\n<pre>72.gcd 168          ...</pre>\n"],["gcdlcm","Integer","Integer.html#method-i-gcdlcm","(other)","<p>Returns the GCD <em>and</em> the LCM (see #gcd and #lcm) of the two\narguments (<code>self</code> and <code>other</code>).  This is more …\n"],["hash","Rational","Rational.html#method-i-hash","()","<p>Returns a hash code for the object.\n"],["inspect","Rational","Rational.html#method-i-inspect","()","<p>Returns a reconstructable string representation:\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Rational</span>(<span class=\"ruby-value\">5</span>,<span class=\"ruby-value\">8</span>).<span class=\"ruby-identifier\">inspect</span>     <span class=\"ruby-comment\"># -&gt; &quot;Rational(5, 8)&quot;</span>\n</pre>\n"],["lcm","Integer","Integer.html#method-i-lcm","(other)","<p>Returns the <em>lowest common multiple</em> (LCM) of the two arguments\n(<code>self</code> and <code>other</code>).\n<p>Examples:\n\n<pre>6.lcm 7      ...</pre>\n"],["new","Rational","Rational.html#method-c-new","(num, den)","<p>This method is actually private.\n"],["new!","Rational","Rational.html#method-c-new-21","(num, den = 1)","<p>Implements the constructor.  This method does not reduce to lowest terms or\ncheck for division by zero. …\n"],["numerator","Integer","Integer.html#method-i-numerator","()","<p>In an integer, the value <em>is</em> the numerator of its rational\nequivalent. Therefore, this method returns …\n"],["power!","Bignum","Bignum.html#method-i-power-21","(other)",""],["power!","Fixnum","Fixnum.html#method-i-power-21","(other)",""],["quo","Bignum","Bignum.html#method-i-quo","(other)","<p>If Rational is defined, returns a Rational number instead of a Float.\n"],["quo","Fixnum","Fixnum.html#method-i-quo","(other)","<p>If Rational is defined, returns a Rational number instead of a Float.\n"],["rdiv","Bignum","Bignum.html#method-i-rdiv","(other)",""],["rdiv","Fixnum","Fixnum.html#method-i-rdiv","(other)",""],["reduce","Rational","Rational.html#method-c-reduce","(num, den = 1)","<p>Reduces the given numerator and denominator to their lowest terms.  Use\nRational() instead.\n"],["round","Rational","Rational.html#method-i-round","()",""],["rpower","Bignum","Bignum.html#method-i-rpower","(other)","<p>Returns a Rational number if the result is in fact rational (i.e.\n<code>other</code> &lt; 0).\n"],["rpower","Fixnum","Fixnum.html#method-i-rpower","(other)","<p>Returns a Rational number if the result is in fact rational (i.e.\n<code>other</code> &lt; 0).\n"],["to_f","Rational","Rational.html#method-i-to_f","()","<p>Converts the rational to a Float.\n"],["to_i","Rational","Rational.html#method-i-to_i","()",""],["to_r","Integer","Integer.html#method-i-to_r","()","<p>Returns a Rational representation of this integer.\n"],["to_r","Rational","Rational.html#method-i-to_r","()","<p>Returns <code>self</code>.\n"],["to_s","Rational","Rational.html#method-i-to_s","()","<p>Returns a string representation of the rational number.\n<p>Example:\n\n<pre>Rational(3,4).to_s          #  &quot;3/4&quot;\nRational(8).to_s ...</pre>\n"],["truncate","Rational","Rational.html#method-i-truncate","()",""]]}}